﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerController : MonoBehaviour {

    private Rigidbody rb;

    public float speed = 10f;

    public int count;

    public Text countText;
    public Text winText;

    public GameObject pickups;

	// Use this for initialization
	void Start ()
    {
        rb = GetComponent<Rigidbody>();
        count =  0;
        SetCountText();
        winText.text = "";
    }
	
	// Update is called once per frame
	void FixedUpdate ()

    {
        float moveHorizontal = Input.GetAxis("Horizontal");
        float moveVertical = Input.GetAxis("Vertical");

        Vector3 movement = new Vector3(moveHorizontal, 0, moveVertical);

        rb.AddForce(movement * speed);

        if (Input.GetKey(KeyCode.Space))
        {
            GetComponent<Rigidbody>().isKinematic = true;
            
        }
        if (Input.GetKeyUp(KeyCode.Space))
        {
            GetComponent<Rigidbody>().isKinematic = false;
        }          

    }

    private void OnTriggerEnter(Collider other)
    {
        // Destroy(other.gameObject);
        if (other.gameObject.CompareTag("PickUp"))
        {
            other.gameObject.SetActive(false);
            count = count + 1;
            SetCountText();
            //count += 1;
            if (count >= 12)
            {
                winText.text = "Time: " + Time.time.ToString("0.0") + " sec";
                //ResetScene();
                Invoke("ResetScene", 3);
            }
        
        }
    }

    void SetCountText()
    {
        countText.text = "Count: " + count.ToString();
    }

    void ResetScene ()
    {
        count = 0;
        winText.text = "";
        SetCountText();

        Transform[] allChildren = pickups.GetComponentsInChildren<Transform>(true);
        
        foreach (Transform child in allChildren)
        {
            child.gameObject.SetActive(true);
        }

    }

}
